# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [Unreleased]

### Changed

- Changed the aura user and group ID from 2872 to 872.

## [1.0.0-alpha4] - 2024-04-17

### Changed

- The job-timeout for the importer is now thirty minutes for Docker.

### Removed

- Nested routes for show/files, show/files and show/playlists (aura#126)

## [1.0.0-alpha3] - 2024-02-26

### Added

- Un-nested routes for playlists, files, imports, etc. (tank#65)

### Changed

- **BREAKING:** The database and directory structure has changed. Since there is no way to migrate the
  data for this update, you need to re-create the database and delete the existing files and folders
  from the audio store.
- **BREAKING:** The endpoints to create files and playlists now require a `showId` in the JSON payload.
- **BREAKING:** API endpoints now require `showId` (int) instead of the `showName` (string).
- The duration is now in seconds and is stored as a float.
- The job-timeout for the importer is now three minutes for Docker.
- Show uploads are stored in folders named after the ids instead of the slugs. (tank#37)
- error and info log files now have timestamps (tank#68)
- The endpoint to upload a file with Flow JS no longer requires a `showId`.
- The endpoint to list the playlists now lists all, the ones by a show or the ones that include a file.

### Deprecated

- Nested routes for show/files and show/playlists will be removed with alpha-4.

## [1.0.0-alpha2] - 2023-06-20

### Added

- Add default directory `/var/audio/import` used for audio file imports via filesystem (aura#172)
- Write access, error and info logs into `TANK_LOGS` directory (tank#55)

### Changed

- Provide properties in API schemas in CamelCase notation (aura#141)
- Update all APIs to return attributes / properties in camelCase notation (aura#141)

## [1.0.0-alpha1] - 2023-02-24

Initial release.
